## irssi-plugin-otr 0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -94,15 +94,9 @@
   MESSAGE(FATAL_ERROR "Need libotr version >= 3.1.0 (fragmentation)")
 ENDIF (LIBOTR_VERSION LESS "3.1.0")
 
-# irssi public headers
-
-FIND_PATH(IRSSI_INCLUDE_DIR NAMES irssi/src/core/module.h)
-MARK_AS_ADVANCED(IRSSI_INCLUDE_DIR)
-
-IF(NOT IRSSI_INCLUDE_DIR)
-  MESSAGE(FATAL_ERROR "Couldn't find irssi headers, "
-    "usually installed in /usr/include/irssi")
-ENDIF(NOT IRSSI_INCLUDE_DIR)
+# LIBGCRYPT. A dependency of libotr and therefore one of ours.
+
+FIND_PACKAGE(LibGcrypt REQUIRED)
 
 # includes
 
@@ -110,49 +104,80 @@
   ${PROJECT_SOURCE_DIR} 
   ${PROJECT_BINARY_DIR} 
   ${GLIB_INCLUDE_DIRS} 
-  ${LIBOTR_INCLUDE_DIRS} 
-  ${IRSSI_INCLUDE_DIR}/irssi
-  ${IRSSI_INCLUDE_DIR}/irssi/src
-  ${IRSSI_INCLUDE_DIR}/irssi/src/core
-  ${PROJECT_BINARY_DIR}/irssi-private-headers
-  ${PROJECT_SOURCE_DIR}/irssi-private-headers)
+  ${LIBOTR_INCLUDE_DIRS})
+
+SET(CMAKE_REQUIRED_INCLUDES ${IRSSIOTR_INCLUDE_DIRS})
+SET(CMAKE_REQUIRED_DEFINITIONS -DHAVE_CONFIG_H ${LIBGCRYPT_CFLAGS})
+
+# irssi public headers
+
+FIND_PATH(IRSSI_INCLUDE_DIR NAMES irssi/src/core/module.h)
+MARK_AS_ADVANCED(IRSSI_INCLUDE_DIR)
+
+IF(NOT IRSSI_INCLUDE_DIR)
+  MESSAGE(STATUS "*** no irssi found ***")
+ELSEIF(BUILDFOR AND NOT BUILDFOR STREQUAL "irssi")
+  MESSAGE(STATUS "*** not building for irssi ***")
+ELSE(NOT IRSSI_INCLUDE_DIR)
+  MESSAGE(STATUS "*** building for irssi ***")
+  SET(HAVE_IRSSI 1)
+  SET(IRSSIOTR_INCLUDE_DIRS
+    ${IRSSIOTR_INCLUDE_DIRS}
+    ${IRSSI_INCLUDE_DIR}/irssi
+    ${IRSSI_INCLUDE_DIR}/irssi/src
+    ${IRSSI_INCLUDE_DIR}/irssi/src/core
+    ${PROJECT_BINARY_DIR}/irssi-headers
+    ${PROJECT_SOURCE_DIR}/irssi-headers)
+
+  SET(CMAKE_REQUIRED_INCLUDES ${IRSSIOTR_INCLUDE_DIRS})
+
+  # irssi statusbar header
+
+  CHECK_INCLUDE_FILES("glib.h;common.h;fe-text/statusbar-item.h" HAVE_IRSSISBAR_H)
+
+  # Bad hack
+
+  IF (NOT HAVE_IRSSISBAR_H)
+    MESSAGE(STATUS "Need to fetch irssi header statusbar-item.h (you don't have it yet)")
+    IF (NOT WGET_EXECUTABLE)
+      FIND_PACKAGE(Wget REQUIRED)
+    ENDIF (NOT WGET_EXECUTABLE)
+    EXECUTE_PROCESS(COMMAND "mkdir" -p irssi-headers/fe-text)
+    EXECUTE_PROCESS(COMMAND "bash" "-c"
+      "${WGET_EXECUTABLE} '--post-data=revision=4936&root=irssi' \\
+      'http://svn.irssi.org/cgi-bin/viewvc.cgi/irssi/trunk/src/fe-text/statusbar-item.h' || exit 1"
+      ${PROJECT_SOURCE_DIR} WORKING_DIRECTORY irssi-headers/fe-text
+      RESULT_VARIABLE IISBAR_RET)
+    IF(NOT IISBAR_RET EQUAL 0)
+      MESSAGE(FATAL_ERROR "Couldn't check out irssi headers from SVN")
+    ENDIF(NOT IISBAR_RET EQUAL 0)
+    SET(HAVE_IRSSISBAR_H 1 CACHE INTERNAL "Having irssi headers" FORCE)
+  ENDIF (NOT HAVE_IRSSISBAR_H)
+
+ENDIF(NOT IRSSI_INCLUDE_DIR)
+
+FIND_PATH(XCHAT_INCLUDE_DIR NAMES xchat/xchat-plugin.h)
+MARK_AS_ADVANCED(XCHAT_INCLUDE_DIR)
+
+IF(NOT XCHAT_INCLUDE_DIR)
+  MESSAGE(STATUS "*** no xchat found ***")
+ELSEIF(BUILDFOR AND NOT BUILDFOR STREQUAL "xchat")
+  MESSAGE(STATUS "*** not building for xchat ***")
+ELSE(NOT XCHAT_INCLUDE_DIR)
+  MESSAGE(STATUS "*** building for xchat ***")
+  SET(HAVE_XCHAT 1)
+  SET(IRSSIOTR_INCLUDE_DIRS
+    ${IRSSIOTR_INCLUDE_DIRS}
+    ${XCHAT_INCLUDE_DIR}/xchat)
+ENDIF(NOT XCHAT_INCLUDE_DIR)
 
 include_directories(${IRSSIOTR_INCLUDE_DIRS})
-SET(CMAKE_REQUIRED_INCLUDES ${IRSSIOTR_INCLUDE_DIRS})
-SET(CMAKE_REQUIRED_DEFINITIONS -DHAVE_CONFIG_H)
 
 # gregex.h 
 # available since 2.13 AFAIK
 # optional for html stripping and nick ignoring
 
 CHECK_INCLUDE_FILE(glib/gregex.h HAVE_GREGEX_H)
-
-# irssi private headers
-
-CHECK_INCLUDE_FILES("glib.h;common.h;fe-text/statusbar.h" HAVE_IRSSIPRIV_H)
-
-# Bad hack
-
-IF (NOT HAVE_IRSSIPRIV_H)
-  MESSAGE(STATUS "Need to fetch and patch irssi private headers "
-    "mainwindows.h,statusbar.h,term.h from SVN (see irssi FS#535)")
-  IF (NOT WGET_EXECUTABLE)
-    FIND_PACKAGE(Wget REQUIRED)
-  ENDIF (NOT WGET_EXECUTABLE)
-  EXECUTE_PROCESS(COMMAND "mkdir" -p irssi-private-headers/fe-text)
-  EXECUTE_PROCESS(COMMAND "bash" "-c"
-    "${WGET_EXECUTABLE} '--post-data=revision=4806&root=irssi' \\
-    'http://svn.irssi.org/cgi-bin/viewvc.cgi/irssi/trunk/src/fe-text/mainwindows.h' \\
-    'http://svn.irssi.org/cgi-bin/viewvc.cgi/irssi/trunk/src/fe-text/term.h' \\
-    'http://svn.irssi.org/cgi-bin/viewvc.cgi/irssi/trunk/src/fe-text/statusbar.h' || exit 1
-    patch -p0 mainwindows.h < \"$0/privheaders.patch\" || exit 1" 
-    ${PROJECT_SOURCE_DIR} WORKING_DIRECTORY irssi-private-headers/fe-text
-    RESULT_VARIABLE IIPRIV_RET)
-  IF(NOT IIPRIV_RET EQUAL 0)
-    MESSAGE(FATAL_ERROR "Couldn't check out irssi private headers from SVN")
-  ENDIF(NOT IIPRIV_RET EQUAL 0)
-  SET(HAVE_IRSSIPRIV_H 1 CACHE INTERNAL "Having irssi priv headers" FORCE)
-ENDIF (NOT HAVE_IRSSIPRIV_H)
 
 # check for strsignal
 
@@ -171,7 +196,7 @@
 
 MESSAGE(STATUS "This is a ${CMAKE_BUILD_TYPE} build")
 
-ADD_DEFINITIONS(-DHAVE_CONFIG_H -Wall)
+ADD_DEFINITIONS(-DHAVE_CONFIG_H -Wall ${LIBGCRYPT_CFLAGS})
 
 # docdir
 
@@ -181,7 +206,9 @@
 
 # generate otr-formats.{c,h}
 
-ADD_CUSTOM_COMMAND(OUTPUT ${PROJECT_BINARY_DIR}/otr-formats.c 
+ADD_CUSTOM_COMMAND(OUTPUT 
+  ${PROJECT_BINARY_DIR}/otr-formats.c 
+  ${PROJECT_BINARY_DIR}/xchat-formats.c 
   DEPENDS makeformats.py formats.txt README
   COMMAND 
   ${PYTHON_EXECUTABLE}
@@ -192,9 +219,39 @@
 
 # lib
 
-ADD_LIBRARY(otr SHARED otr.c otrutil.c otr_ops.c otr_key.c ui.c ${PROJECT_BINARY_DIR}/otr-formats.c)
-
-TARGET_LINK_LIBRARIES(otr ${GLIB_LIBRARIES} ${LIBOTR_LIBRARIES})
+# Now that took some time to figure out...
+
+IF(APPLE)
+  SET(APPLE_LDFLAGS "-single_module -undefined dynamic_lookup")
+ENDIF(APPLE)
+
+FOREACH(X ${LIBGCRYPT_LDFLAGS} ${GLIB_LDFLAGS} ${APPLE_LDFLAGS})
+  SET(MAIN_LDFLAGS "${MAIN_LDFLAGS} ${X}")
+ENDFOREACH(X ${LIBGCRYPT_LDFLAGS} ${GLIB_LDFLAGS} ${APPLE_LDFLAGS})
+
+IF(HAVE_IRSSI)
+  ADD_LIBRARY(irssiotr SHARED irssi_otr.c otr_util.c otr_ops.c otr_key.c ${PROJECT_BINARY_DIR}/otr-formats.c)
+  TARGET_LINK_LIBRARIES(irssiotr ${GLIB_LIBRARIES} ${LIBOTR_LIBRARIES})
+  SET_TARGET_PROPERTIES(irssiotr PROPERTIES 
+    COMPILE_FLAGS -DTARGET_IRSSI
+    OUTPUT_NAME "otr"
+    LINK_FLAGS "${MAIN_LDFLAGS}")
+  IF(APPLE)
+    SET_TARGET_PROPERTIES(irssiotr PROPERTIES SUFFIX ".so")
+  ENDIF(APPLE)
+ENDIF(HAVE_IRSSI)
+
+IF(HAVE_XCHAT)
+  ADD_LIBRARY(xchatotr SHARED xchat_otr.c otr_util.c otr_ops.c otr_key.c ${PROJECT_BINARY_DIR}/xchat-formats.c)
+  TARGET_LINK_LIBRARIES(xchatotr ${GLIB_LIBRARIES} ${LIBOTR_LIBRARIES})
+  SET_TARGET_PROPERTIES(xchatotr PROPERTIES 
+    COMPILE_FLAGS -DTARGET_XCHAT
+    OUTPUT_NAME "xchatotr"
+    LINK_FLAGS "${MAIN_LDFLAGS}")
+  IF(APPLE)
+    SET_TARGET_PROPERTIES(xchatotr PROPERTIES SUFFIX ".so")
+  ENDIF(APPLE)
+ENDIF(HAVE_XCHAT)
 
 # cscope
 
@@ -206,8 +263,18 @@
 IF(CMAKE_INSTALL_TYPE MATCHES "package-.*")
   INCLUDE(Packaging.cmake)
 ELSEIF(CMAKE_INSTALL_TYPE MATCHES "home")
-  INSTALL(TARGETS otr DESTINATION "$ENV{HOME}/.irssi/modules")
+  INSTALL(TARGETS irssiotr DESTINATION "$ENV{HOME}/.irssi/modules")
 ELSE(CMAKE_INSTALL_TYPE MATCHES "package-.*")
-  INSTALL(TARGETS otr DESTINATION lib/irssi/modules)
+  IF(HAVE_IRSSI)
+    INSTALL(TARGETS irssiotr DESTINATION lib${LIB_SUFFIX}/irssi/modules)
+  ENDIF(HAVE_IRSSI)
+  IF(HAVE_XCHAT)
+    INSTALL(TARGETS xchatotr DESTINATION lib${LIB_SUFFIX}/xchat/plugins)
+  ENDIF(HAVE_XCHAT)
   INSTALL(FILES README LICENSE DESTINATION ${DOCDIR})
 ENDIF(CMAKE_INSTALL_TYPE MATCHES "package-.*")
+
+# Source tarball
+ADD_CUSTOM_TARGET(src-tarball 
+  ${PROJECT_SOURCE_DIR}/mksrcpackage.sh ${PROJECT_SOURCE_DIR} 
+  ${IRSSIOTR_VERSION})
