## irssi-plugin-otr 1.0.0~alpha2

=== debian/changelog ===
irssi-plugin-otr (1.0.0~alpha2-1) unstable; urgency=low

  * Ship a second binary package, with debugging symbols.
  * New upstream patch: gmodule-nolink.patch to remove extra linking.
  * Upload to unstable now that libotr5 is usable there.
  * Restore the libotr5-4.0.0-2.1 dependency to make sure this is usuable.

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 10 May 2013 19:43:24 -0400

irssi-plugin-otr (1.0.0~alpha2-1~exp0) experimental; urgency=low

  * New upstream release.
  * Remove destdir_support.patch, accepted upstream.
  * Remove python build dependency.
  * Use dh-autoreconf instead of manual bootstrap code.
  * Add missing dependencies.
  * Upload to experimental (Closes: #695150, #569506, #576696, #499229).
  * Add myself to maintainers.
  * Change dependency on libotr5 so we don't have to wait for the
    experimental release to build. We still upload to experimental to
    avoid shipping a broken version in sid. Once libotr5-4.0.0-2.1 hits
    unstable, this can be uploaded to unstable too.

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 10 May 2013 09:07:12 -0400

irssi-plugin-otr (1.0.0~alpha1-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * Upload the revamped version to experimental (Closes: #695150).
    * Remove support for xchat.
    * Fix information leak in /me (Closes: #569506)
    * Fix numerous segfaults (Closes: #576696, #499229)
    * Remove patch/01_remove_buildfor_variable.patch - irrelevant
  * Change control and copyright files to mention new upstream.
  * Remove old copyright notices refering to missing code.
  * Update to standards 3.9.4.

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 08 May 2013 22:09:00 -0400

irssi-plugin-otr (0.3-2) unstable; urgency=low

  * Rebuild. Irssi patch for Debian Bug 531357 broke old irssi-otr. Fixed
    by rebuilding against 0.8.14. (Closes: #533655)
  * debian/control: Depend on irssi >= 0.8.14.
  

 -- David Spreen <netzwurm@debian.org>  Sun, 09 Aug 2009 00:45:00 -0700

irssi-plugin-otr (0.3-1) unstable; urgency=low

  * New upstream release.
  * First upload to unstable after 0.2. Introduces xchat-otr
    to unstable.

 -- David Spreen <netzwurm@debian.org>  Mon, 16 Feb 2009 16:33:28 -0800

irssi-plugin-otr (0.2+20090206-1) experimental; urgency=low

  * New git snapshot.
  * debian/patches/01_fix_irssisbar_h.patch: Removed (fixed upstream).
  * debian/patches/02_remove_irssi_reference_from_keygen.patch:
    Removed (patch adopted by upstream).
  * debian/patches/01_remove_buildfor_variable.patch: Added patch
    to keep building xchat and irssi targets from the same source.

 -- David Spreen <netzwurm@debian.org>  Fri, 06 Feb 2009 10:11:16 -0800

irssi-plugin-otr (0.2+20090128-1) experimental; urgency=low

  * New git snapshot now with X-Chat support!
  * debian/control: Added X-Chat binary package including
    build-dependency on xchat-common.
  * debian/rules: Manually installing README.xchat
  * debian/*.install: Added install files for irssi and 
    xchat plugin packages.
  * debian/patch/01_fix_irssisbar_h.patch: Fixed check 
    for local copy of irssi statusbar headers.
  * debian/patch/02_remove_irssi_reference_from_keygen.patch:
    Removed irssi reference from keygen message.

 -- David Spreen <netzwurm@debian.org>  Thu, 29 Jan 2009 13:28:22 -0800

irssi-plugin-otr (0.2+20090119-1) experimental; urgency=low

  * New git snapshot. (Closes: #498502, 498401)
  * debian/rules: Changed build-system to cdbs.
  * debian/control: Added cdbs build-dependency.

 -- David Spreen <netzwurm@debian.org>  Mon, 19 Jan 2009 14:07:25 -0800

irssi-plugin-otr (0.2-2) unstable; urgency=low

  * Added debian/watch file.

 -- David Spreen <netzwurm@debian.org>  Fri, 22 Aug 2008 09:57:50 -0700

irssi-plugin-otr (0.2-1) unstable; urgency=low

  * New upstream release.

 -- David Spreen <netzwurm@debian.org>  Mon, 14 Jul 2008 08:50:59 -0700

irssi-plugin-otr (0.1-3) unstable; urgency=low

  * The 'Okay-Okay-I-Am-Using-Pbuilder-Already' release.
  * CMakeLists.txt: Removed dependency on wget. Reported upstream. 
    (Closes: #490021).
  * Added new website address to control file/copyright file.

 -- David Spreen <netzwurm@debian.org>  Thu, 10 Jul 2008 16:13:01 -0700

irssi-plugin-otr (0.1-2) unstable; urgency=low

  * debian/control: Added build-time dependency on python and pkg-config. 
    (Closes: #489680).
  * debian/copyright: Added proper copyright for the irssi headers that
    are used to build the package.
  * debian/control: Changed standards version to 3.8.0.1.

 -- David Spreen <netzwurm@debian.org>  Mon, 07 Jul 2008 11:52:52 -0700

irssi-plugin-otr (0.1-1) unstable; urgency=low

  * Initial release (Closes: #486156)
  * CMakeLists.txt: Removed version number from /usr/share/doc/irssi-plugin-otr
    (This has been reported to upstream and should be fixed in 0.2).

 -- David Spreen <netzwurm@debian.org>  Tue, 01 Jul 2008 14:29:48 -0700
