=== debian/control ===
Source: irssi-plugin-otr
Section: net
Priority: optional
Maintainer: David Spreen <netzwurm@debian.org>
Uploaders: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               pkg-config,
               libotr5-dev (>= 4.0.0-2.1),
               irssi-dev (>= 0.8.14),
               libglib2.0-dev (>= 2.13.0)
Standards-Version: 3.9.4
Homepage: https://github.com/cryptodotis/irssi-otr

Package: irssi-plugin-otr
Architecture: any
Depends: irssi (>= 0.8.14),
         ${shlibs:Depends},
         ${misc:Depends}
Enhances: irssi
Description: Off-the-Record Messaging Plugin for Irssi
 Off-the-Record (OTR) Messaging Plugin for the Irssi Chat Client
 .
 This plugin adds Off-the-Record messaging support for the irssi IRC client.
 Although primarily designed for use with the bitlbee IRC2IM gateway, it works
 within any query window, provided that the conversation partner's IRC client
 supports OTR.
 .
 OTR allows you to have private conversations over IM by providing:
  - Encryption
    - No one else can read your instant messages.
  - Authentication
    - You are assured the correspondent is who you think it is.
  - Deniability
    - The messages you send do _not_ have digital signatures that are
      checkable by a third party.  Anyone can forge messages after a
      conversation to make them look like they came from you.  However,
      _during_ a conversation, your correspondent is assured the messages
      he sees are authentic and unmodified.
  - Perfect forward secrecy
    - If you lose control of your private keys, no previous conversation
      is compromised.

Package: irssi-plugin-otr-dbg
Architecture: any
Section: debug
Priority: extra
Depends: irssi-plugin-otr (= ${binary:Version}),
         ${misc:Depends}
Description: Off-the-Record Messaging Plugin for Irssi - debugging symbols
 Off-the-Record (OTR) Messaging Plugin for the Irssi Chat Client
 .
 This plugin adds Off-the-Record messaging support for the irssi IRC client.
 Although primarily designed for use with the bitlbee IRC2IM gateway, it works
 within any query window, provided that the conversation partner's IRC client
 supports OTR.
 .
 This package features debugging symbols for the plugin.
