=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_install:
	dh_auto_install --destdir=debian/irssi-plugin-otr

override_dh_strip:
	dh_strip --dbg-package=irssi-plugin-otr-dbg
