=== debian/watch ===
version=3
https://github.com/cryptodotis/irssi-otr/tags .*/v?(\d+\.([[a-z]-\d\.]+))\.tar\.gz
