## irssi-plugin-otr 1.0.0

=== debian/changelog ===
irssi-plugin-otr (1.0.0-1) unstable; urgency=medium

  * Put the package under the umbrella of the Debian OTR Team.  Huge
    thanks to David Spreen <netzwurm@debian.org> for having maintained
    this package for many years! (Closes: #738930).
  * Package new 1.0.0 upstream version (Closes: #739106).
    * Get rid of patch merged upstream (gmodule-nolink.patch).
  * Update to standards 3.9.5, no change.
  * Use upstream tags to build tarball.
  * Ship updated watch file.
  * Keep build verbose to remove W-compiler-flags-hidden warnings.

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 22 Feb 2014 11:21:23 -0500
