=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: irssi-plugin-otr
 Section: net
 Priority: optional
-Maintainer: David Spreen <netzwurm@debian.org>
+Maintainer: Debian OTR Team <pkg-otr-team@lists.alioth.debian.org>
 Uploaders: Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
@@ -9,8 +9,10 @@
                libotr5-dev (>= 4.0.0-2.1),
                irssi-dev (>= 0.8.14),
                libglib2.0-dev (>= 2.13.0)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/cryptodotis/irssi-otr
+Vcs-Git: git://git.debian.org/pkg-otr/packages/irssi-plugin-otr.git
+Vcs-Browser: http://git.debian.org/?p=pkg-otr/packages/irssi-plugin-otr.git;a=summary
 
 Package: irssi-plugin-otr
 Architecture: any
