=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 %:
 	dh $@ --with autoreconf
+
+override_dh_auto_configure:
+	dh_auto_configure -- --disable-silent-rules
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/irssi-plugin-otr
