## irssi-plugin-otr 1.0.1+f75eb26

=== debian/changelog ===
irssi-plugin-otr (1.0.1+f75eb26-1) unstable; urgency=medium

  * New upstream snapshot, required to fix ABI problems with irssi 1.18
    (Closes: #818590)
  * Remove prefix patch, merged upstream

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 25 Mar 2016 14:31:27 -0400

irssi-plugin-otr (1.0.1-1) unstable; urgency=medium

  * New upstream release (Closes: #819011)
  * New patch: respect $PREFIX to fix multiarch installs (Closes: #817172)
  * Use upstream's tarball by prefering bz2 compression

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 22 Mar 2016 16:22:49 -0400
