## irssi-plugin-otr 1.0.2

=== debian/changelog ===
irssi-plugin-otr (1.0.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1, no changes needed.
  * Bump debian/compat to 10, build-depend on debhelper >= 10.2.5~, remove
    build-dependency on dh-autoreconf and remove "--with autoreconf" from dh
    call in debian/rules as this done by debhelper in compat 10 automatically.
  * Drop stretch specific code in debian/rules to call dh_strip with
    --dbgsym-migration.
  * Set irssi-plugin-otr to Multi-Arch: same, thanks to the Multiarch hinter!
  * Remove version from dependency on libglib2.0-dev as that version was even
    satisfied in oldoldstable.

 -- Holger Levsen <holger@debian.org>  Sat, 30 Sep 2017 02:41:25 +0200

irssi-plugin-otr (1.0.2-1) unstable; urgency=medium

  * new upstream release
  * update to latest policy, no change
  * ship upstream README file
  * bump irssi dependency to 0.8.20 to make sure we have a compilation
    time ABI check
  * migrate to auto dbgsym

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 15 Dec 2016 12:17:27 -0500
