=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
 Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
 Uploaders: Antoine Beaupré <anarcat@debian.org>,
            Holger Levsen <holger@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10.2.5~),
                pkg-config,
                libotr5-dev (>= 4.0.0-2.1),
-               irssi-dev (>= 0.8.14),
-               libglib2.0-dev (>= 2.13.0)
-Standards-Version: 3.9.5
+               irssi-dev (>= 0.8.20-1~),
+               libglib2.0-dev
+Standards-Version: 4.1.1
 Homepage: https://github.com/cryptodotis/irssi-otr
 Vcs-Git: https://anonscm.debian.org/git/pkg-privacy/packages/irssi-plugin-otr.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-privacy/packages/irssi-plugin-otr.git
 
 Package: irssi-plugin-otr
 Architecture: any
-Depends: irssi (>= 0.8.14),
+Multi-Arch: same
+Depends: irssi (>= 0.8.20-1~),
          ${shlibs:Depends},
          ${misc:Depends}
 Enhances: irssi
@@ -38,17 +38,3 @@
     they see are authentic and unmodified.
   * Forward secrecy - if you lose control of your private keys,
     no previous conversation is compromised.
-
-Package: irssi-plugin-otr-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: irssi-plugin-otr (= ${binary:Version}),
-         ${misc:Depends}
-Description: Off-The-Record messaging plugin for Irssi - debugging symbols
- This plugin adds Off-The-Record (OTR) messaging support to the Irssi IRC
- client. Although primarily designed for use with the BitlBee IRC2IM
- gateway, it works within any query window, provided that your
- conversation partner's IRC client supports OTR.
- .
- This package features debugging symbols for the plugin.
