=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

override_dh_auto_install:
	dh_auto_install --destdir=debian/irssi-plugin-otr
