=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[\.\+\-_]?(beta|Beta|alpha|dev)/$1~$2/ \
https://github.com/cryptodotis/irssi-otr/tags \
.*/archive/(?:upstream/)?(?:v||version-|release-|X|R|r)(\d\S*)\.tar\.gz
